## org.gnu.gdk
Class InterpType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.InterpType

public class InterpType
extends Enum

Field Summary
`static InterpType` `BILINEAR` Best quality/speed balance; use this mode by default.
`static InterpType` `HYPER` This is the slowest and highest quality reconstruction function.
`static InterpType` `NEAREST` Nearest neighbor sampling; this is the fastest and lowest quality mode.
`static InterpType` `TILES` This is an accurate simulation of the PostScript image operator without any interpolation enabled.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`InterpType` `and(InterpType other)`
`static InterpType` `intern(int value)`
`InterpType` `or(InterpType other)`
`boolean` `test(InterpType other)`
`InterpType` `xor(InterpType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEAREST

    public static final InterpType NEAREST

  Nearest neighbor sampling; this is the fastest and lowest quality mode. Quality is normally unacceptable when scaling down, but may be OK when scaling up.

### TILES

    public static final InterpType TILES

  This is an accurate simulation of the PostScript image operator without any interpolation enabled. Each pixel is rendered as a tiny parallelogram of solid color, the edges of which are implemented with antialiasing. It resembles nearest neighbor for enlargement, and bilinear for reduction.

### BILINEAR

    public static final InterpType BILINEAR

  Best quality/speed balance; use this mode by default. Bilinear interpolation. For enlargement, it is equivalent to point-sampling the ideal bilinear-interpolated image. For reduction, it is equivalent to laying down small tiles and integrating over the coverage area.

### HYPER

    public static final InterpType HYPER

  This is the slowest and highest quality reconstruction function. It is derived from the hyperbolic filters in Wolberg's "Digital Image Warping", and is formally defined as the hyperbolic-filter sampling the ideal hyperbolic-filter interpolated image (the filter is designed to be idempotent for 1:1 pixel mapping).

Method Detail

### intern

    public static InterpType intern(int value)

### or

    public InterpType or(InterpType other)

### and

    public InterpType and(InterpType other)

### xor

    public InterpType xor(InterpType other)

### test

    public boolean test(InterpType other)